package com.ruoyi.kaohe.mapper;

import java.util.List;
import com.ruoyi.kaohe.domain.KhTemplate;

/**
 * 考核模板Mapper接口
 * 
 * @author hs
 * @date 2025-06-17
 */
public interface KhTemplateMapper 
{
    /**
     * 查询考核模板
     * 
     * @param id 考核模板主键
     * @return 考核模板
     */
    public KhTemplate selectKhTemplateById(Long id);

    /**
     * 查询考核模板列表
     * 
     * @param khTemplate 考核模板
     * @return 考核模板集合
     */
    public List<KhTemplate> selectKhTemplateList(KhTemplate khTemplate);

    /**
     * 新增考核模板
     * 
     * @param khTemplate 考核模板
     * @return 结果
     */
    public int insertKhTemplate(KhTemplate khTemplate);

    /**
     * 修改考核模板
     * 
     * @param khTemplate 考核模板
     * @return 结果
     */
    public int updateKhTemplate(KhTemplate khTemplate);

    /**
     * 删除考核模板
     * 
     * @param id 考核模板主键
     * @return 结果
     */
    public int deleteKhTemplateById(Long id);

    /**
     * 批量删除考核模板
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKhTemplateByIds(Long[] ids);
}
